export interface SearchQuery {
    extraFileResources?: Array<string | null> | null;
    filePattern?: string | null;
    fileEncoding?: string | null;
    maxResults?: number | null;
    exists?: boolean | null;
    sortByScore?: boolean | null;
    cacheKey?: string | null;
    useRipgrep?: boolean | null;
    disregardIgnoreFiles?: boolean | null;
    disregardExcludeSettings?: boolean | null;
    ignoreSymlinks?: boolean | null;
    type: QueryType;
    excludePattern?: string | null;
    includePattern?: string | null;
    contentPattern?: PatternInfo | null;
    folderQueries?: Array<FolderQuery | null> | null;
    usingSearchPaths?: boolean | null;
}
export declare enum QueryType {
    File = "File",
    Text = "Text",
}
export interface PatternInfo {
    pattern: string;
    isRegExp?: boolean | null;
    isWordMatch?: boolean | null;
    wordSeparators?: string | null;
    isMultiline?: boolean | null;
    isCaseSensitive?: boolean | null;
    isSmartCase?: boolean | null;
}
export interface FolderQuery {
    folder: string;
    excludePattern?: string | null;
    includePattern?: string | null;
    fileEncoding?: string | null;
    disregardIgnoreFiles?: boolean | null;
}
export interface searchMutationVariables {
    query: SearchQuery;
}
export interface searchMutation {
    search: {
        stats: {
            fromCache: boolean;
            resultCount: number;
            unsortedResultTime: number | null;
            sortedResultTime: number | null;
        };
        results: Array<{
            resource: string | null;
            lineMatches: Array<{
                preview: string | null;
                lineNumber: number | null;
                offsetAndLengths: Array<Array<number | null> | null> | null;
            } | null> | null;
        } | null> | null;
        limitHit: boolean | null;
    } | null;
}
